/**
 * 推荐信
 */

export default {
  id: 'application_tjx',
  title: '推荐信',
  required: true,
  get: {
    action: '/api/enrollment/v1.0/application-materials/1005',
    callback(data) {
      const { reco_letters: recoLetters = [] } = data.data.material
      return recoLetters
    }
  },
  update: {
    action: '/api/enrollment/v1.0/application-materials/1005/put',
    beforeRequest(data) {
      const recoLetters = data.map(item => {
        return ['provider_name', 'provider_phone_number', 'provider_email', 'provider_relationship'].reduce(
          (result, key) => {
            result[key] = item[key]
            return result
          },
          {}
        )
      })
      return { reco_letters: recoLetters }
    }
  },
  form: {
    hasAdd: true,
    options: {
      labelWidth: '140px'
    },
    items: [
      {
        type: 'v-input',
        label: '推荐人姓名',
        model: 'provider_name',
        attrs: { placeholder: '请输入推荐人姓名' },
        rules: [{ required: true, message: '请输入推荐人姓名', trigger: 'blur' }]
      },

      {
        type: 'v-input',
        label: '推荐人电话',
        model: 'provider_phone_number',
        attrs: { placeholder: '请输入推荐人电话' },
        rules: [{ required: true, message: '请输入推荐人电话', trigger: 'blur' }]
      },
      {
        type: 'v-input',
        label: '推荐人邮箱',
        model: 'provider_email',
        attrs: { placeholder: '请输入推荐人邮箱' },
        rules: [{ required: true, message: '请输入推荐人邮箱', trigger: 'blur' }]
      },
      {
        type: 'v-select',
        values: [
          { value: '老师/导师' },
          { value: '领导' },
          { value: '同学' },
          { value: '同事' },
          { value: '亲属' },
          { value: '朋友' },
          { value: '其他' }
        ],
        label: '与推荐人关系',
        model: 'provider_relationship',
        rules: [{ required: true, message: '请选择与推荐人关系', trigger: 'change' }]
      }
    ]
  }
}
