export default {
  id: 'application_wfzzm',
  title: '无犯罪证明',
  get: {
    action: '/api/enrollment/v1.0/application-materials/1005',
    callback(data) {
      const { attachments = [] } = data.data.material
      const NO_CRIMINAL_CERT = attachments.filter(item => {
        return item.file_type_id === 'NO_CRIMINAL_CERT'
      })
      return { NO_CRIMINAL_CERT }
    }
  },
  form: {
    hasButton: false,
    options: {},
    items: [
      {
        type: 'v-upload',
        required: true,
        model: 'NO_CRIMINAL_CERT',
        attrs: {
          action: '/api/enrollment/v1.0/application-materials/attachments/1005/put',
          deleteAction: '/api/enrollment/v1.0/application-materials/attachments/1005/delete',
          data: { file_type: 'NO_CRIMINAL_CERT' }
        },
        prepend: `
          <p>第一步：点击下载按键获取无犯罪证明模板</p>
          <p><a href="https://www.baidu.com" target="_blank" download>下载模板</a></p>
          <p>第二步：打印文件后填写内容并签字上传至电脑，点击下方按钮上传文件</p>
        `
      }
    ]
  }
}
