export default {
  id: 'interview_byz',
  title: '学位证书',
  get: {
    action: '/api/enrollment/v1.0/application-materials/1005',
    callback(data) {
      const { attachments = [] } = data.data.material
      const DEGREE_CERT_CN = attachments.filter(item => {
        return item.file_type_id === 'DEGREE_CERT_CN'
      })
      return { DEGREE_CERT_CN }
    }
  },
  form: {
    hasButton: false,
    options: {},
    items: [
      {
        type: 'v-upload',
        required: true,
        model: 'DEGREE_CERT_CN',
        attrs: {
          action: '/api/enrollment/v1.0/application-materials/attachments/1005/put',
          deleteAction: '/api/enrollment/v1.0/application-materials/attachments/1005/delete',
          data: { file_type: 'DEGREE_CERT_CN' }
        },
        append: '注意事项：需要将证书原件扫描或拍照后提交，请确保证书内容清晰可辨。'
      }
    ]
  }
}
