export default {
  id: 'interview_cjd',
  title: '成绩单（中+英）',
  get: {
    action: '/api/enrollment/v1.0/application-materials/1005',
    callback(data) {
      const { attachments = [] } = data.data.material
      return attachments.reduce(
        (result, item) => {
          if (item.file_type_id === 'REPORT_CARD_CN') {
            result.REPORT_CARD_CN.push(item)
          }
          if (item.file_type_id === 'REPORT_CARD_EN') {
            result.REPORT_CARD_EN.push(item)
          }
          return result
        },
        { REPORT_CARD_CN: [], REPORT_CARD_EN: [] }
      )
    }
  },
  form: {
    hasButton: false,
    options: { 'label-position': 'top' },
    hint: `
      <p>成绩单：中英文成绩单各上传一个文件</p>
      <p>注意事项：需要将证书原件扫描或拍照后提交，请确保证书内容清晰可辨。</p>
    `,
    items: [
      {
        type: 'v-upload',
        label: '中文成绩单',
        required: true,
        model: 'REPORT_CARD_CN',
        attrs: {
          action: '/api/enrollment/v1.0/application-materials/attachments/1005/put',
          deleteAction: '/api/enrollment/v1.0/application-materials/attachments/1005/delete',
          data: { file_type: 'REPORT_CARD_CN' }
        }
      },
      {
        type: 'v-upload',
        label: '英文成绩单',
        required: true,
        model: 'REPORT_CARD_EN',
        attrs: {
          action: '/api/enrollment/v1.0/application-materials/attachments/1005/put',
          deleteAction: '/api/enrollment/v1.0/application-materials/attachments/1005/delete',
          data: { file_type: 'REPORT_CARD_EN' }
        }
      }
    ]
  }
}
