import {
  Dialog,
  Input,
  Radio,
  RadioGroup,
  Checkbox,
  CheckboxGroup,
  Switch,
  Select,
  Option,
  OptionGroup,
  Button,
  ButtonGroup,
  DatePicker,
  TimeSelect,
  TimePicker,
  Form,
  FormItem,
  Tabs,
  TabPane,
  Icon,
  Upload,
  Message
} from 'element-ui'

import VueForm from './VueForm'
import VInput from './packages/input'
import VSelect from './packages/select'
import VRadio from './packages/radio'
import VCheckbox from './packages/checkbox'
import VDatepicker from './packages/datepicker'
import VUpload from './packages/upload'

const components = [VueForm, VInput, VSelect, VRadio, VCheckbox, VDatepicker, VUpload]

const install = function(Vue) {
  if (install.installed) return
  Vue.use(Dialog)
  Vue.use(Input)
  Vue.use(Radio)
  Vue.use(RadioGroup)
  Vue.use(Checkbox)
  Vue.use(CheckboxGroup)
  Vue.use(Switch)
  Vue.use(Select)
  Vue.use(Option)
  Vue.use(OptionGroup)
  Vue.use(Button)
  Vue.use(ButtonGroup)
  Vue.use(DatePicker)
  Vue.use(TimeSelect)
  Vue.use(TimePicker)
  Vue.use(Form)
  Vue.use(FormItem)
  Vue.use(Tabs)
  Vue.use(TabPane)
  Vue.use(Icon)
  Vue.use(Upload)
  Vue.prototype.$message = Message
  // 遍历注册全局组件
  components.map(component => Vue.component(component.name, component))
}

// 判断是否是直接引入文件
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  // 导出的对象必须具有 install，才能被 Vue.use() 方法安装
  install,
  // 以下是具体的组件列表
  ...components
}
